#!/usr/bin/env python

from PyQt4.QtGui import *
from PyQt4.QtCore import QObject
from dmApiFactory import DmApiFactory
 
# Define the experiments tab content:
class ExperimentsTab(QObject):
    def __init__(self, stationName, parent, id=-1):
        super(ExperimentsTab, self).__init__(parent)
        self.stationName = stationName
        self.experimentDsApi = DmApiFactory.getInstance().getExperimentDsApi()



        self.updateList()

    def updateList(self):
        self.experimentList = self.experimentDsApi.getExperimentsByStation(self.stationName)

        i = 0
        for experiment in self.experimentList:
            self.InsertStringItem(i, experiment.get('name'))
            self.SetStringItem(i, 1, experiment.get('description', ''))
            self.SetStringItem(i, 2, str(experiment.get('startDate', '')))
            if (i % 2) == 0:
                self.SetItemBackgroundColour(i, '#e6f1f5')
            i += 1



